{
  pkgs,
  lib,
  config,
  osConfig,
  ...
}: let
  cfg = osConfig.mods;
in {
  imports = [
    ./terminal
    ./desktop
    ./sops

    ./xdg.nix
    ./impermanence.nix
  ];

  # Let Home Manager install and manage itself
  programs.home-manager.enable = true;
  home.username = cfg.user.name;
  home.homeDirectory = "/home/${cfg.user.name}";
  # home.profileDirectory =
  #   "${config.home.homeDirectory}/.local/state/nix/profile/";
}
